{% extends ('report/reportPrintLayout.twig') %}
{% block content %}

{% set donnees = true %}
{% set sysma_action = true %}
{% set carte = true %}
{% set photos = true %}
{% set user_infos = true %}
{% set no_empty_data = true %}


{% if  GET.get('donnees') == null and GET.get('edition') == null %}
    {% set donnees = true %}
{% endif %}
{% if  GET.get('sysma_action') == null and GET.get('edition') == null  %}
    {% set sysma_action = true %}
{% endif %}
{% if  GET.get('carte') == null and GET.get('edition') == null %}
    {% set carte = true %}
{% endif %}
{% if  GET.get('photos') == null and GET.get('edition') == null %}
    {% set photos = true %}
{% endif %}
{% if  GET.get('user_infos') == null and GET.get('edition') == null %}
    {% set user_infos = true %}
{% endif %}
{% if  GET.get('no_empty_data') == null and GET.get('edition') == null %}
    {% set no_empty_data = true %}
{% endif %}


{% if 
(
    [app.session.get('user_id'),O.organisation_id, O.sysma_object_type_id, O.status, null, null, null, 'lecteur']|hasAccess
)


    %}

    {% if  GET.get('donnees')==0 and GET.get('edition') == 'oui' %}
        {% set donnees = false %}
    {% endif %}
    {% if  GET.get('sysma_action')==0 and GET.get('edition') == 'oui' %}
        {% set sysma_action = false %}
    {% endif %}
    {% if  GET.get('carte')==0 and GET.get('edition') == 'oui' %}
        {% set carte = false %}
    {% endif %}
    {% if  GET.get('photos')==0 and GET.get('edition') == 'oui' %}
        {% set photos = false %}
    {% endif %}
    {% if  GET.get('user_infos')==0 and GET.get('edition') == 'oui' %}
        {% set user_infos = false %}
    {% endif %}
    {% if  GET.get('no_empty_data')==0 and GET.get('edition') == 'oui' %}
        {% set no_empty_data = false %}
    {% endif %}

    <div id="reglages" class="infosGeo">
        <p>Personnalisation de la fiche</p>
        <form method="get" action="#">

            <input type="checkbox" value="1" name="user_infos" {% if user_infos %} checked {% endif %}/>
            Infos modificateur<br>
            <input type="checkbox" value="1" name="donnees" {% if donnees %} checked {% endif %}/>
            Données<br>
            <input type="checkbox" value="1" name="no_empty_data" {% if no_empty_data %} checked {% endif %}/>
            Masquer les données vides<br>
            <input type="checkbox" value="1" name="sysma_action" {% if sysma_action %} checked {% endif %}/>
            Actions</br>
        <input type="checkbox" value="1" name="carte" {% if carte %} checked {% endif %}/>
        Carte</br>
    <input type="checkbox" value="1" name="photos" {% if photos %} checked {% endif %}/>
    Photos</br>
<input value="oui" name="edition" type="hidden"/>
<button class="btn btn-xs btn-default">OK</button></form></div>{% endif %}<div id="logoBRAND"><img src="/conf/logo_structure.gif" width="160px"/></div><table class="table"><tbody><tr>
<td>
    {% include('layout/brand.twig') %}
</td></tr><tr>
<td>
    {# TYPE OBJET #}
    <h2>
        <acronym title="{{ O.infos.description }} ">Type d'objet :
            {{ O.infos.sysma_object_type|raw }}
        </acronym>
    </h2>

    {# TITRE #}

    <h1>
        {{ O.infos.sysma_object|capitalize|raw }}
        <sup>
            <small>[{{ O.id }}]</small>
        </sup>
        {{ include('sysma-object/sysmaObjectStatusLabel.twig') }}
    </h1>
    {% if user_infos %}
        {% if O.modified_at != null %}
            <small class="text-muted">
                Modifié
                {% if O.infos.lastname != null %}
                    par
                    {{ O.infos.firstname|default(null)}}
                    {{ O.infos.lastname }}
                {% endif %}
                le
                <span title="{{ O.modified_at|date('d/m/Y H:i:s') }}">{{ O.modified_at|date('d/m/Y') }}</span>
            </small>
        {% endif %}
    {% endif %}

</td></tr>{% if O.PP != null and photos %}
<tr>

    <td>
        <img src="{{ O.PP.thumbnail }}" {% if O.PP.exif_orientation|default(null) is not null %} {% if O.PP.exif_orientation == '6' %} style="display:bock;max-width:100%;transform-origin: center center;transform:rotate(90deg);margin:10%;margin-left:-5%" {% endif %} {% if O.PP.exif_orientation == '8' %} style="display:bock;max-width:100%;transform-origin: center center;transform:rotate(-90deg);margin:10%;margin-left:--5%" {% endif %} {% if O.PP.exif_orientation == '3' %} style="display:bock;max-width:100%;transform-origin: center center;transform:rotate(180deg);" {% endif %} {% endif %}/>
    </td>
</tr>{% endif %}{% if donnees %}

<tr>
    <td>
        <div id="blocDonnees">

            <h2>Données</h2>
            {% for V in O.data %}

                {% if no_empty_data and V.value|default(null) is null %}

                    {% else %}

                        {% if V.parameter.hidden_in_form != 'oui' %}

                            {%  if '**' in V.parameter.ordered_by %}                                        
                                <div class="row rowSysma"><h3>{{ (V.parameter.ordered_by|split('**')).1|replace('_',' ') }}</h3></div>
                            {%  endif %}

                            <div class="row rowSysma
                                                                             {% if  V.parameter.required %}
                                                                                 requiredParameter
                                                                             {% endif %}
                                                                             ">
                                <div class="col-md-2 colonne1">
                                    <acronym title="{{V.parameter.description|striptags|raw}} [{{V.parameter.parameter_id}}]">{{V.parameter.parameter|striptags|raw}}</acronym>
                                    {% if V.parameter.unit!=null %}
                                        ({{V.parameter.unit}})
                                    {% endif %}
                                </div>

                                <div id="renseigneForm{{V.idsysma_object}}{{V.parameter_id}}" class="col-md-10">
                                    {% include ('sysma-object-parameter-value/sysmaObjectParameterValuePrintDisplay.twig') %}
                                </div>

                            </div>

                        {% endif %}
                {% endif %}

            {% endfor %}
        </div>

    </td>
</tr>{% endif %}{# TRAVAUX #}{% if O.actionsArray|length > 0 and sysma_action  %}
<tr>
    <td>
        <h2>Travaux</h2>
        <div id="sysma_action"></div>

        {% for T in O.actionsArray %}


            {% if 
(
    [app.session.get('user_id'),O.organisation_id, O.sysma_object_type_id, O.status, T.sysma_action_type_id, T.status, T.organisation_id, 'lecteur']|hasAccess 
or ([app.session.get('user_id'),O.organisation_id, O.sysma_object_type_id, O.status, T.sysma_action_type_id, T.status, T.organisation_id, 'contributeur']|hasAccess 
and O.modified_by == app.session.get('user_id'))
)
                                %}

                <div class="rowSysma" id="blocInfosTravaux{{T.id}}">

                    {% set sysma_object_id = O.id %}
                    {% include('sysma-action/sysmaActionRowPrint.twig') %}

                </div>
            {% endif %}
        {% endfor %}
    </td>
</tr>{% endif %}{% if carte and O.infos.geometry_type != 'no_geom' %}

<tr>
    <td>
        <h2>Localisation</h2>
        <div id="map" style="height:500px;"></div>
    </td>
</tr>
<tr>
    <td>
        {% set TyO = TO %}
        {% include('sysma-object/sysmaObjectGeoInfosSheet.twig') %}
    </td>
</tr>{% endif %}{# PHOTOS #}{% if O.tabOP|length > 0 and photos %}
<tr>
    <td>
        <h2>Photos</h2>

        <div id="blocPhotos">

            {% for OP in O.tabOP %}

                {% if OP.photo_type != 'folder' %}
                    <div style="float:left;margin-right:10px;margin-top:10px;">
                        {{ OP.Photo.squareCode|raw }}
                        {% if OP.before_after|default(null) == 'before' %}<br>Photo avant
                        {% endif %}
                        {% if OP.before_after|default(null) == 'during' %}<br>Photo pendant intervention
                        {% endif %}
                        {% if OP.before_after|default(null) == 'after' %}
                            <br>Photo après
                        {% endif %}
                    </div>
                {% endif %}

            {% endfor %}

        </div>
    </td>
</tr>{% endif %}<tr>
<td>
    <p class="text-right">
        <small>Page générée le
            {{ "now"|date("d/m/Y") }}</small>
    </p>
</td></tr></tbody></table>{% endblock %}{% block js %}{% if O.infos.geometry_type != 'no_geom' %}{% include('map/simpleMap.twig') %}{% endif %}{% endblock %}
